# Patient Details

| **API URL**     | {{url}}/spice-service/patient/details |
| --------------- | ------------------------------------- |
| **Method**      | POST                                  |
| **Description** | Patient details                       |

#### **Input:** <a href="#patientdetails-input" id="patientdetails-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#patientdetails-sampleinput" id="patientdetails-sampleinput"></a>

{\
"id": 25,\
"assessmentRequired": true,\
"assessmentDataRequired": false,\
"isConfirmDiagnosis": false,\
"isDiabetesDiagnosis": false,\
"isGad7": false,\
"isHtnDiagnosis": false,\
"lifeStyleRequired": false,\
"isPhq9": false,\
"isPregnant": false,\
"prescriberRequired": false,\
"redRiskPatient": false\
}

#### **Output:** <a href="#patientdetails-output" id="patientdetails-output"></a>

| **Field Name**            | **Type**                   | **Comments**                        |
| ------------------------- | -------------------------- | ----------------------------------- |
| `id`                      | Integer                    | Patient ID                          |
| `nationalId`              | String                     | Patient national ID                 |
| `firstName`               | String                     | First name                          |
| `lastName`                | String                     | Last name                           |
| `dateOfBirth`             | Timestamp with Timezone    | Date of birth                       |
| `age`                     | Bigint                     | Patient age                         |
| `gender`                  | String                     | Patient gender                      |
| `phoneNumber`             | String                     | Patient Number                      |
| `phoneNumberCategory`     | String                     | Phone number category               |
| `height`                  | Double Precision           | Patient height                      |
| `weight`                  | Double Precision           | Patient weight                      |
| `bmi`                     | Double Precision           | Patient bmi                         |
| `isRegularSmoker`         | Boolean                    | Regular Smoker status               |
| `programId`               | Bigint                     | Patient program id                  |
| `avgSystolic`             | Integer                    | Average systolic blood pressure     |
| `avgDiastolic`            | Integer                    | Average diastolic blood pressure    |
| `avgPulse`                | Integer                    | Average pulse                       |
| `glucoseUnit`             | String                     | Blood glucose unit                  |
| `glucoseType`             | String                     | Blood glucose type                  |
| `glucoseValue`            | Double Precision           | Blood glucose value                 |
| `cvdRiskLevel`            | String                     | Cvd risk level                      |
| `cvdRiskScore`            | Integer                    | Cvd risk score                      |
| `nextMedicalReviewDate`   | Timestamp without Timezone | Next medical review date            |
| `nextBpAssessmentDate`    | Timestamp without Timezone | Next blood pressure assessment date |
| `nextBgAssessmentDate`    | Timestamp without Timezone | Next blood glucose assessment date  |
| `patientId`               | Bigint                     | Patient id                          |
| `patientStatus`           | String                     | Patient status                      |
| `isObservation`           | Boolean                    | Observation status                  |
| `isScreening`             | Boolean                    | Screening status                    |
| `screeningReferral`       | Boolean                    | Screening referral status           |
| `enrollmentAt`            | Timestamp without Timezone | Enrollment date                     |
| `lastReviewDate`          | Timestamp without Timezone | Last review date                    |
| `lastAssessmentDate`      | Timestamp without Timezone | Last assessment date                |
| `isConfirmDiagnosis`      | Boolean                    | Confirm diagnosis status            |
| `diagnosisComments`       | String                     | Diagnosis comments                  |
| `confirmDiagnosis`        | String                     | Confirm diagnosis                   |
| `phq4Score`               | Integer                    | PHQ4 mental health score            |
| `phq4RiskLevel`           | String                     | PHQ4 risk level                     |
| `phq4FirstScore`          | Integer                    | PHQ4 first score                    |
| `phq4SecondScore`         | Integer                    | PHQ4 second score                   |
| `phq9Score`               | Integer                    | PHQ9 score                          |
| `phq9RiskLevel`           | String                     | PHQ9 risk level                     |
| `gad7Score`               | Integer                    | GAD7 score                          |
| `gad7RiskLevel`           | String                     | GAD7 risk level                     |
| `riskLevel`               | String                     | Risk level                          |
| `lastMenstrualPeriodDate` | Timestamp without Timezone | Last menstrual period date          |
| `isHtnDiagnosis`          | Boolean                    | HTN diagnosis status                |
| `systolic`                | Integer                    | Systolic blood pressure             |
| `diastolic`               | Integer                    | Diastolic blood pressure            |
| `pulse`                   | Integer                    | Pulse                               |
| `lastMealTime`            | Timestamp without Timezone | Last meal time                      |
| `glucoseDateTime`         | Timestamp without Timezone | Glucose date time                   |
| `updatedFromEnrollment`   | Boolean                    | Updated from enrollment             |
| `prescriberDetails`       | String                     | Prescriber details                  |
| `isDiabetesDiagnosis`     | Boolean                    | Diabetes diagnosis status           |
| `patientLifestyles`       | String                     | Patient lifestyle                   |
| `lastLabtestReferredDate` | Timestamp                  | Lab test referred date              |
| `initialReview`           | Boolean                    | Initial review status               |
| `deleteReason`            | String                     | Deleted reason                      |
| `deleteOtherReason`       | String                     | Deleted reason                      |
| `labtestReferred`         | Boolean                    | Lab test referred                   |
| `medicationPrescribed`    | Boolean                    | Medication referred                 |
| `redRiskPatient`          | Boolean                    | Red risk patient status             |

#### **Sample Output:** <a href="#patientdetails-sampleoutput" id="patientdetails-sampleoutput"></a>

```
{
    "message": "Patient fetched successfully.",
    "entity": {
        "id": 25,
        "tenantId": 4,
        "createdBy": 5,
        "updatedBy": 5,
        "createdAt": "2023-05-26T16:33:22+05:30",
        "updatedAt": "2023-05-26T16:36:53+05:30",
        "nationalId": "AXXX123",
        "firstName": "AKSHATA",
        "lastName": "A",
        "dateOfBirth": "1997-05-26T00:00:00+05:30",
        "age": 26,
        "gender": "Female",
        "phoneNumber": "149XXX758",
        "phoneNumberCategory": "Personal",
        "height": 188,
        "weight": 77,
        "bmi": 21.79,
        "isRegularSmoker": true,
        "countryId": 1,
        "siteId": 1,
        "operatingUnitId": 1,
        "accountId": 1,
        "programId": 24,
        "avgSystolic": 88,
        "avgDiastolic": 88,
        "avgPulse": null,
        "glucoseUnit": "mmol/L",
        "glucoseType": "rbs",
        "glucoseValue": 25,
        "cvdRiskLevel": "Low risk",
        "cvdRiskScore": 3,
        "screeningLogId": 14,
        "nextMedicalReviewDate": "2023-06-26T16:35:47+05:30",
        "nextBpAssessmentDate": "2023-08-26T16:36:53+05:30",
        "nextBgAssessmentDate": null,
        "patientId": 25,
        "patientStatus": "ENROLLED",
        "isObservation": null,
        "isScreening": true,
        "screeningReferral": true,
        "enrollmentAt": "2023-05-26T16:35:47+05:30",
        "lastReviewDate": null,
        "lastAssessmentDate": "2023-05-26T16:36:53+05:30",
        "isConfirmDiagnosis": true,
        "diagnosisComments": null,
        "confirmDiagnosis": [
            "Gestational Diabetes(GDM)",
            "Pre-Hypertension"
        ],
        "provisionalDiagnosis": [
            "DM"
        ],
        "phq4Score": 6,
        "phq4RiskLevel": "Moderate",
        "phq4FirstScore": 3,
        "phq4SecondScore": 3,
        "phq9Score": null,
        "phq9RiskLevel": null,
        "gad7Score": null,
        "gad7RiskLevel": null,
        "riskLevel": null,
        "lastMenstrualPeriodDate": null,
        "isPregnant": true,
        "estimatedDeliveryDate": null,
        "isPhq9": true,
        "isGad7": true,
        "lastMedicationPrescribedDate": null,
        "isHtnDiagnosis": true,
        "bpLogDetails": [
            {
                "systolic": 88,
                "diastolic": 88,
                "pulse": 88
            },
            {
                "systolic": 88,
                "diastolic": 88,
                "pulse": 88
            },
            {
                "systolic": 88,
                "diastolic": 88,
                "pulse": 88
            }
        ],
        "glucoseLogDetails": {
            "createdBy": 5,
            "updatedBy": 5,
            "glucoseType": "rbs",
            "glucoseValue": 25,
            "lastMealTime": "2023-05-26T13:00:00+05:30",
            "glucoseDateTime": "2023-05-26T16:36:50+05:30",
            "glucoseUnit": "mmol/L",
            "updatedFromEnrollment": false,
            "latest": false,
            "deleted": false,
            "oldRecord": false
        },
        "prescriberDetails": null,
        "isDiabetesDiagnosis": true,
        "patientLifestyles": null,
        "lastLabtestReferredDate": null,
        "totalCount": 0,
        "deleteReason": null,
        "deleteOtherReason": null,
        "active": true,
        "initialReview": false,
        "medicationPrescribed": false,
        "deleted": false,
        "labtestReferred": false,
        "redRiskPatient": false
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/patient-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
